package com.chenyang.nse.bussiness.engine.infa.powercenter961.pubbean;

import java.util.List;

public class MappingBean {
   private String sq_name;
   private String source_name;
   private String target_name;
   private String sourcedbname;
   private String sourcedbtype;
   private String mappingsql;
   private CommonBean cb;
   private String mapping_name;
   private List<MappletMakeDatabean> mappletbean;
   private List<MappingPramaBean> paramList;
   private SourceBean sou_bean;
   private TargetBean tar_bean;
   private TargetBean tar_bean_dbase;

   public TargetBean getTar_bean_dbase() {
      return this.tar_bean_dbase;
   }

   public void setTar_bean_dbase(TargetBean tar_bean_dbase) {
      this.tar_bean_dbase = tar_bean_dbase;
   }

   public SourceBean getSou_bean() {
      return this.sou_bean;
   }

   public void setSou_bean(SourceBean sou_bean) {
      this.sou_bean = sou_bean;
   }

   public TargetBean getTar_bean() {
      return this.tar_bean;
   }

   public void setTar_bean(TargetBean tar_bean) {
      this.tar_bean = tar_bean;
   }

   public String getSourcedbtype() {
      return this.sourcedbtype;
   }

   public void setSourcedbtype(String sourcedbtype) {
      this.sourcedbtype = sourcedbtype;
   }

   public List<MappingPramaBean> getParamList() {
      return this.paramList;
   }

   public void setParamList(List<MappingPramaBean> paramList) {
      this.paramList = paramList;
   }

   public String getMapping_name() {
      return this.mapping_name;
   }

   public void setMapping_name(String mapping_name) {
      this.mapping_name = mapping_name;
   }

   public List<MappletMakeDatabean> getMappletbean() {
      return this.mappletbean;
   }

   public void setMappletbean(List<MappletMakeDatabean> mappletbean) {
      this.mappletbean = mappletbean;
   }

   public String getMappingsql() {
      return this.mappingsql;
   }

   public void setMappingsql(String mappingsql) {
      this.mappingsql = mappingsql;
   }

   public String getSq_name() {
      return this.sq_name;
   }

   public void setSq_name(String sq_name) {
      this.sq_name = sq_name;
   }

   public String getSource_name() {
      return this.source_name;
   }

   public void setSource_name(String source_name) {
      this.source_name = source_name;
   }

   public String getTarget_name() {
      return this.target_name;
   }

   public void setTarget_name(String target_name) {
      this.target_name = target_name;
   }

   public String getSourcedbname() {
      return this.sourcedbname;
   }

   public void setSourcedbname(String sourcedbname) {
      this.sourcedbname = sourcedbname;
   }

   public CommonBean getCb() {
      return this.cb;
   }

   public void setCb(CommonBean cb) {
      this.cb = cb;
   }
}
